Funding
Get crypto purchase quotes
POST
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
application/json- body
sourceAmount*stringAmount to pay, in sourceCurrencyCode units, as a decimal string (e.g. "50").
sourceCurrencyCode*stringCurrency paid, e.g. "USD".
destinationCurrencyCode*stringCrypto received, e.g. "USDC".
paymentMethodType?stringPayment method to quote for (the provider's code).
200
application/json- response
[index: integer]?curl -X POST 'https://api.t.sufwankhalid.com/ramp/quotes' \ -H 'Content-Type: application/json' \ -d '{ "sourceAmount": "string", "sourceCurrencyCode": "string", "destinationCurrencyCode": "string"}'Example Response
[ { "serviceProvider": "string", "transactionType": "string", "sourceAmount": 0, "sourceCurrencyCode": "string", "destinationAmount": 0, "destinationCurrencyCode": "string", "exchangeRate": 0, "totalFee": 0, "networkFee": 0, "transactionFee": 0, "partnerFee": 0, "fiatAmountWithoutFees": 0, "paymentMethodType": "string", "countryCode": "string", "rampScore": 0, "lowKyc": true }]